(* Программа runls -- использование "execl" для запуска ls *)
uses linux,stdio;

begin
  writeln('Запуск программы ls');
  execl('/bin/ls -l');
  (* Если execl возвращает значение, то вызов был неудачным *)
  perror ('Вызов execl не смог запустить программу ls');
  halt(1);
end.
